发新帖

deepin-topbar顶部状态栏,源码安装,无阴影

shenlongdaka 志愿者 / 2019-10-13 01:38
浏览: 4287 / 回复: 59
查看: 4287|回复: 62

deepin-topbar顶部状态栏,源码安装,无阴影

[复制链接]
收藏
跳转到指定楼层
本帖最后由 shenlongdaka 于 2019-10-25 20:34 编辑

deepin-topbar顶部状态栏今天比较闲没事做,从github上下载了deepin-topbar源码,安装上后无阴影

时间修改了一下,去掉了年份显示,加上了星期,并把时间字体颜色改成了青色
去掉了充电中(Charging)显示缩短显示空间。

存在小bug,可能是语言问题,设置中选项字母不可见了。
具体效果看截图
深度截图_选择区域_20191013010905.png

从源码安装比较费事,需要安装的依赖库比较多,不怕麻烦的按照以下步骤安装:
安装步骤:
1、在本文件夹空白处右击鼠标,选择在终端中打开
2、把下面命令复制粘贴到终端里执行,只能用鼠标复制粘贴,终端里不能用ctrl+V
sudo apt install qttools5-dev libgsettings-qt-dev libdde-network-ut* libdframeworkdbus* libdbusmenu-qt5-dev libxcb-ewmh-dev libxcb-util* libxtst* libxcb-im* libxcb-ic* libxcb-co* libxcb-composite0-dev libprocps-dev dde-dock-dev qtbase5-dev-tools libdtkwidget-dev qt5* g++  cmake
3、输入你的本机密码或管理员密码执行
4、输入命令:mkdir build   执行
5、输入命令:cd build  执行
6、输入命令:cmake ../  执行,如果不出错,证明依赖库已全部安装,直接下一步。否则检查上述cmake过程,分析errors处错误,安装所缺少的依赖库。
7、输入命令:make   执行,如果不出错,证明依赖库已全部安装,直接下一步。否则检查上述make过程,分析errors处错误,安装所缺少的依赖库。
8、输入命令:sudo make install   执行
9、打开开始菜单-其他应用,就能看到Topbar的图标了,打开就可以运行顶部状态栏了。
10、恭喜你安装完成,当你打开的程序窗口最大化时,状态栏变黑色,恢复小窗口且离状态栏较远时,自动恢复半透明色。

如有问题,加本人微信yueyuanxi1990
感觉还可以的话,顶一下帖子别沉了。

下载后解压打开里面安装前必读文档deepin-topbar.tar.gz

400.98 KB, 下载次数: 640

操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-13 01:40:21 | 显示全部楼层
自己先顶一下

点评

强烈建议大佬每天花10分钟,到明年就可以白嫖你写的原生状态栏插件了,到时候上到商店,我给你捐2块钱,嘻嘻  发表于 2019-11-9 12:53
话说这不是个小工具?下载那么多东西,依赖库?还有提示解压需要几百兆空间,太大了吧.安装步骤也挺麻烦 :-D,不过谢谢啦  发表于 2019-11-1 17:43
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

35

主题

199

帖子

862

积分

-rw-r--r--

Rank: 4

积分
862
i8520 发表于 2019-10-13 06:26:45 来自移动端 | 显示全部楼层
把命令复制到记事本,终端执行很方便

1

主题

2

帖子

13

积分

-r--------

Rank: 1

积分
13
steve1999 发表于 2019-10-19 16:42:48 | 显示全部楼层
install: 在'qt5*' 后缺少了要操作的目标文件
Try 'install --help' for more information.

为什么会这样啊?

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-22 17:08:25 | 显示全部楼层
steve1999 发表于 2019-10-19 16:42
install: 在'qt5*' 后缺少了要操作的目标文件
Try 'install --help' for more information.

命令应该是sudo apt install qt5*
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-22 17:14:31 | 显示全部楼层
steve1999 发表于 2019-10-19 16:42
install: 在'qt5*' 后缺少了要操作的目标文件
Try 'install --help' for more information.

命令应该是sudo apt install qt5*
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

5

主题

69

帖子

316

积分

-r--r-----

Rank: 2

积分
316
c1368685699 发表于 2019-10-22 17:14:47 | 显示全部楼层
可以的话,能不能修改一下那个流量的icon,上和下的间距缩小一点

60

主题

3345

帖子

1万

积分

drw-r--r--

Rank: 7Rank: 7Rank: 7

积分
10920
QQ
kirigaya 超级版主 发表于 2019-10-23 10:58:27 | 显示全部楼层
仓库有打包啊,为啥自己编译。

ps: 阴影是故意去掉的。


https://blog.justforlxz.com | Deepin Developer | 永远不要放弃思考

0

主题

548

帖子

2093

积分

-rw-rw-r--

Rank: 5Rank: 5

积分
2093
blumia 发表于 2019-10-23 11:03:30 | 显示全部楼层
其实装依赖可以这样..
  1. apt build-dep deepin-topbar
复制代码

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-23 11:53:31 | 显示全部楼层
blumia 发表于 2019-10-23 11:03
其实装依赖可以这样..

需要在 sources.list 中指定代码源(deb-src) URI
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

75

主题

4083

帖子

1万

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
10326
QQ
jianguo922 志愿者 发表于 2019-10-23 12:26:17 | 显示全部楼层
看起来不错     
深度值得深入!深度有你更精彩
https://www.52pojie.cn/home.php?mod=space&uid=275571
电脑型号三星370r5v-s01  CPU:Intel酷睿i53210M         
内存:4GB+2GB×1    显卡芯片:AMD Radeon HD 8750M(2G)

98

主题

1311

帖子

5835

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
5835
QQ
hlbj105 志愿者 发表于 2019-10-23 14:36:54 | 显示全部楼层
  1. CMake Error: Could not find CMAKE_ROOT !!!
  2. CMake has most likely not been installed correctly.
  3. Modules directory not found in
  4. /usr/local/cmake/share/cmake-3.13
  5. CMake Error: Error executing cmake::LoadCache(). Aborting.
复制代码


2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-25 20:32:34 | 显示全部楼层

sudo apt install cmake   你安装一下这个
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

98

主题

1311

帖子

5835

积分

-rw-rw-rw-

Rank: 6Rank: 6

积分
5835
QQ
hlbj105 志愿者 发表于 2019-10-26 10:34:55 | 显示全部楼层
shenlongdaka 发表于 2019-10-25 20:32
sudo apt install cmake   你安装一下这个

安装了也不行

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-26 22:35:43 | 显示全部楼层

/usr/local/cmake/share/cmake-3.13      把原先的cmake卸载,重新装呢?
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

0

主题

2

帖子

11

积分

-r--------

Rank: 1

积分
11
lhl123 发表于 2019-10-26 22:44:53 | 显示全部楼层
我的安装了不会自动变透明是为啥,其他正常

2

主题

34

帖子

184

积分

-r--------

Rank: 1

积分
184
shenlongdaka 志愿者 发表于 2019-10-26 23:54:28 | 显示全部楼层
lhl123 发表于 2019-10-26 22:44
我的安装了不会自动变透明是为啥,其他正常

可能有其他窗口开最大化了,只是最小化到状态栏了,把所有窗口关闭试试
操作系统        deepin-Linux 15.11(桌面版)         
处理器          英特尔  i5-4200H @ 2.80GHz 双核
内存             8 GB ( 海力士 DDR3L 1600MHz )
显卡             Nvidia GeForce GTX 960M

2

主题

10

帖子

47

积分

-r--------

Rank: 1

积分
47
pkids 发表于 2019-10-29 10:24:36 | 显示全部楼层
感谢楼主,安装了,很好用,就是想问下如何开机直接启动,因为现在安装好了必须点了这个程序才能出现顶部内容,不点默认是关闭的。

12

主题

149

帖子

672

积分

-r--r--r--

Rank: 3Rank: 3

积分
672
wuyiheng119 发表于 2019-10-29 11:43:47 | 显示全部楼层
有没有傻瓜一点的安装方式?

6

主题

20

帖子

109

积分

-r--------

Rank: 1

积分
109
flyhunterl 发表于 2019-10-29 14:53:05 | 显示全部楼层
装好了 非常好看~ 感谢!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

快速回复 返回列表 返回版块 返回顶部